Change History for CompilationGuide/Ubuntu

Version Date Author Comment
156 2 weeks slhck force-mkdir the aom_build directory for updates
155 3 weeks guoyejun
154 5 weeks llogan mentioned libaom breaking changes
153 4 months llogan added missing package in remove section from previous update
152 8 months Lin-Buo-Ren Avoid installing full git distribution
151 8 months llogan added libnuma-dev for x265
150 9 months llogan added libaom. added FAQ. re-organized. dump obsolete theora.
149 9 months llogan update nasm
148 10 months sroller added parameter for x264 compilation
147 10 months llogan avoid using export to be less meddling in users shell, no more ffserver, …
146 11 months kieranjol adds line continuation before hash -r
145 13 months slhck update nasm
144 15 months slhck use export for MAKEFLAGS
143 15 months slhck update commands to use chaining and auto-update for repos; move vpx up; …
142 15 months slhck commands are not really suitable for auto-updating, remove tip
141 15 months slhck shared build not needed; all other libs are static
140 15 months Aaahh Build errors otherwise with: relocation R_X86_64_32 against `.rodata' can …
139 15 months slhck apply syntax highlighting, simplify sed command
138 15 months slhck update introductions, slightly re-structure / fix formatting to harmonize …
137 15 months slhck add pthread needed for x265
136 18 months slhck link to VP9 guide; add --enable-vp9-highbitdepth flag
135 20 months slhck some more updates, re-include yasm because apparently it's needed by other …
134 20 months slhck update opus version
133 20 months slhck remove yasm, add nasm install guide
132 2 years llogan fixed typo. removed make (dist)clean instances which was intended to …
131 2 years llogan switched to sdl2 for ffplay. various nits.
130 2 years sharno added "Otherwise you can compile:" phrase which was missing
129 2 years sharno Added installation of libvpx and libx265 as packages if they are available …
128 2 years hlcb91 update libvps from 1.5.0 to 1.6.0
127 2 years hlcb91 update libopus from 1.1.2 to 1.1.3
126 2 years shadow42085
125 2 years amarsanadi error: Libtool library used but 'LIBTOOL' is undefined, while running …
124 3 years hlcb91 Updated opus version to 1.1.2
123 3 years hlcb91 Added option --disable-opencl in x264 compilation, required
122 3 years llogan remove --force-yes. not sure why it was added.
121 3 years c-14
120 3 years llogan add forgotten s/texi2html/texinfo in Revert section
119 3 years Timothy_Gu Use texinfo rather than texi2html
118 3 years na-g Changing the libopus make distclean to make clean because, make distclean …
117 3 years gajjanag typo for libfdk-aac: was fixed for CentOS, same point applies to Debian …
116 3 years Eirik Changed guide to use libvpx-1.4.0
115 4 years relaxed The static builds for linux do have x11grab support.
114 4 years c-14 Also remove gpac from the reverting section.
113 4 years c-14 Remove libgpac-dev from the list of dependencies
112 4 years c-14 The default configuration builds with ffplay, so mention removing it as …
111 4 years jamrial no need to install unzip to download fdk-aac
110 4 years llogan separate ffmpeg_sources command, fix min yasm ver (I think)
109 4 years llogan mention return to ubuntu
108 4 years llogan make usage section more simple
107 4 years llogan add x265
106 4 years cjplay93 Adding force-yess to the second apt-get due to repository authentication …
105 4 years llogan x11grab is now auto detected
104 4 years llogan switched path in case old yasm exists; removed --disable-opencl, didn't …
103 4 years llogan fix libvpx compilation if nasm and self compiled yasm are present
102 4 years rogerdpack add dev package fwiw
101 4 years llogan update to yasm 1.3.0, fix some links
100 4 years ereichard
99 4 years c-14
98 5 years llogan add forgotten PATH for yasm goodness; add unzip dependency
97 5 years llogan remove unnecessary yasm export
96 5 years llogan no need to export PKG_CONFIG_PATH
95 5 years zenourn libopus can be installed via apt-get
94 5 years llogan add ffmpeg configure options required for each library. yasm notes.
93 5 years llogan add forgotten libfreetype6-dev to revert section
92 5 years llogan add freetype support for drawtext
91 5 years relaxed Add note about --extra-libs="-ldl" for users cherry picking info from this …
90 5 years llogan remove mandir dingleberry
89 5 years llogan use snapshots instead of git; make man pages work; use PATH for yasm; …
88 5 years llogan fix typo
87 5 years llogan update to libopus 1.1
86 5 years llogan add GenericCompilationGuide links
85 5 years llogan add missing .profile sourcing for those who use yasm from repo instead of …
84 5 years llogan add some WikiHtml, remove external links
83 5 years llogan add doc location note
82 5 years llogan add "13.10" mostly for search-fu
81 5 years llogan update fdk-aac git repo
80 6 years MarkZV add export, update opus to 1.0.3
79 6 years llogan nit: line break
78 6 years llogan lucid does have (an ancient) libvdpau-dev
77 6 years llogan add PKG_CONFIG_PATH (required by 12.04 at least)
76 6 years llogan add forgotten prefix; add forgotten binaries
75 6 years llogan re-organize to suit all supported ubuntu releases
74 6 years llogan add Debian
73 6 years llogan mention Mint and static builds; simplify Dependencies section.
72 6 years llogan typo
71 6 years llogan remove annoying &&; fix link
70 6 years llogan remove libfaac. use libfdk_aac instead.
69 6 years nickdesaulniers undo previous edit
68 6 years nickdesaulniers source is not available in zsh, for instance
67 6 years nickdesaulniers Added some missing double ampersands
66 6 years nickdesaulniers removed god damn space after end-of-line back slash
65 6 years llogan add link to old system install version
64 6 years whoeverest Added '--extra-libs="-ldl"' argument because without it configure would …
63 6 years llogan cleanup; expand Finish section; add Also See section
62 6 years llogan list older Ubuntus since users don't read paragraphs; add ffmpeg_sources …
61 6 years llogan make quotes consistent
60 6 years llogan change guide to make local type install
59 6 years llogan dumb nits and forgotten junk
58 6 years llogan nit: forgotten libvpx
57 6 years llogan prune optional installation section
56 6 years llogan update and simplify for 13.04; remove libjack, libspeex, librtmp, opencore …
55 6 years cbsrobot mention movflags faststart
54 6 years llogan add libspeex
53 6 years llogan add automake for users who disable recommended packages
52 6 years troelskn
51 6 years bat_guano Save more cycles when building libvpx. Examples not needed.
50 6 years llogan simplify x11grab note as mentioned on ffmpeg-user ML: "What does omit …
49 6 years bat_guano Save some cycles when building libvpx (should be default imho) ---> …
48 6 years llogan add yasm section now that x264 requires 1.2.0
47 6 years llogan remove libaacplus: it is too much a PITA to compile and fdk-aac is …
46 6 years llogan alphabeticalize and cleanup; use "hash -r" as former method confused some …
45 6 years evilsoup Added in configuration for hardsubbing support
44 6 years bat_guano
43 6 years bat_guano
42 6 years bat_guano Tidy up code in Note 2.
41 6 years bat_guano Note 3 Opus support.
40 6 years shantiq
39 6 years shantiq tidied up my recent entry
38 6 years shantiq
37 6 years shantiq added --enable-libaacplus to configure
36 6 years danilopavei Added the ubuntu help link on adding repositories
35 6 years danilopavei Corrected the missing word 'package'
34 6 years danilopavei The multiverse repository contains 'libfaac-dev'. It is not enabled by …
33 6 years llogan s/10.10/11.10
32 6 years llogan add 12.10 support; depreciate 10.10 and 11.04
31 6 years llogan update ffmpeg checkinstall epoch
30 6 years llogan add note that this guide installs latest code
29 6 years llogan add fdk-aac download for those having Git issues; remove ugly libfaac-dev …
28 6 years llogan add libxext-dev as dependency (although it is brought in by …
27 6 years Saurabh Some libraries are not available when installing FFMPEG on Amazon + Ubuntu …
26 6 years llogan re-add --enable-x11grab that someone removed for no good reason
25 6 years llogan add disable-shared to fdk-aac configure; add fdk-aac upgrade info
24 6 years mc4man
23 6 years Kalle_Carlito
22 6 years Kalle_Carlito
21 6 years Kalle_Carlito
20 6 years llogan we don't need two x11grab warnings
19 6 years prometee Correction for ubuntu desktop user
18 6 years llogan add forgotten --enable-libfdk-aac. duh.
17 6 years llogan switch from fdk-aac tarball to fdk-aac git; add autoconf and libtool as …
16 6 years llogan add link to x264EncodingGuide
15 6 years llogan add fdk-aac
14 6 years llogan add mention of filters
13 6 years llogan remove duplicate libgpac-dev in server dependencies
12 6 years llogan explicitly list pkg-build as dependency; add --depth 1 to x264 and libvpx …
11 7 years llogan add librtmp
10 7 years llogan add libav-tools to remove command
9 7 years llogan change links to source snapshots
8 7 years llogan cosmetics; add libgpac-dev to Updating and Reverting sections
7 7 years llogan add table of contents; add links for older ubuntu versions
6 7 years szatmary Added libgpac-dev to support x264 mp4 output
5 7 years llogan add server specific dependencies; separate sections better
4 7 years llogan add missing --enable-libvpx to ffmpeg ./configure; mention external libs
3 7 years llogan add Ubuntu Precise Pangolin 12.04
2 7 years llogan add mention that the guide supports some older ubuntu versions
1 7 years llogan make initial page